%define prefix /usr
%define name gmencoder
%define version 0.1.0
%define release %mkrel 1
%define url http://gmencoder.sourceforge.net/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Gmencoder is a GNOME 2 frontend to mencoder
Summary(de):	Gmencoder ist ein GNOME 2 Frontend für Mencoder
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	mplayer mencoder subtitleripper
Obsoletes:	%name < %version

%description
Gmencoder is a GNOME 2 frontend to mencoder. It support much of the 
output codecs as well as postprocesing, cropping, scale, subtitles 
ripping, 1, 2 and 3 passes for encoding and a lot of more options are planned.

It is only tested in Linux but it should run in other Unixes. Feedback is welcomed!

Because it is a GUI program is very easy to use. The only thing that you 
must know is: you have to analyze the source before to be able to fill 
the scale, cropping, subtitle or post-processing options. Before pressing 
"Analyze File" or "Analyze DVD" they are not sensible to the mouse.


#german
%description -l de
Gmencoder ist ein Frontend für GNOME 2 Mencoder. Es unterstützt einen 
Großteil von den Ausgabe Codecs sowie postprocesing, Beschneiden, 
Skalieren, Untertitel-Ripping, 1, 2 und 3 Durchgänge für die Codierung 
und weitere Optionen sind geplant.

Es ist nur unter Linux getestet, sollte aber auch in anderen Unix-Varianten 
laufen. Feedback ist willkommen!

Da es ein GUI-Programm ist sollte es einfach zu bedienen sein. Das einzige, 
was Sie wissen müssen ist: Sie müssen die Quelle analysieren, bevor Sie die 
benötigten Eingaben zu Scale, Zuschneiden, Untertitel oder Post-Processing 
Optionen eingeben. Klicken Sie dazu auf Analyze File bzw. - DVD.

%prep

%setup -q -n %{name}-%{version}

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

#Desktop file
cat > %{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=GMencoder
Exec=gmencoder
Icon=package_multimedia
Type=Application
GenericName=GMencoder
Categories=X-MandrivaLinux-Multimedia-Video;Video;AudioVideo;AudioVideoEditing;GTK;
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 %{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

install -d -m755 $RPM_BUILD_ROOT%{_datadir}/man/man1
install -m755 man/gmencoder.1 $RPM_BUILD_ROOT%{_datadir}/man/man1/

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%doc AUTHORS ChangeLog NEWS README
%{_datadir}/applications/%name.desktop
%{_datadir}/pixmaps/%name
%{_datadir}/man/man1/%name.1.*
%{_datadir}/locale/*/LC_MESSAGES/gmencoder.mo

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%changelog
* Thu Nov 25 2010 leiche <meisssw01 at aol.com> 0.1.0-1pclos2010
- import to pclinuxos
